// © 2024 Long Ly. All rights reserved. Any unauthorized use, reproduction, or distribution of this trademark is strictly prohibited and may result in legal action.

#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "OLSAnimationInterface.generated.h"

// This class does not need to be modified.
UINTERFACE()
class UOLSAnimationInterface : public UInterface
{
	GENERATED_BODY()
};

/**
 * 
 */
class OLSANIMATION_API IOLSAnimationInterface
{
	GENERATED_BODY()

	// Add interface functions to this class. This is the class that will be inherited to implement this interface.
public:
	
	virtual class UAnimInstance* GetAnimInstance() const = 0;
};
